@echo off
set OLDPATH=%PATH%
set PATH=..\bin;%PATH%

echo -----------------------------------------------------------------
type repeller.txt
echo -----------------------------------------------------------------
echo Press ENTER to find an index pair with an algorithm by A. Szymczak
pause>nul
echo -----------------------------------------------------------------

cnvmvmap repeller.map repeller.mp
echo -----------------------------------------------------------------
indxpair repeller.cub repeller.mp repeller.q1 repeller.q0

echo -----------------------------------------------------------------
echo Press ENTER to compute the Conley index of the index pair found
pause>nul
echo -----------------------------------------------------------------

homcubes -i repeller.map repeller.q1 repeller.q0

echo -----------------------------------------------------------------
echo Press ENTER to finish
pause>nul

del repeller.mp
del repeller.q0
del repeller.q1

set PATH=%OLDPATH%
set OLDPATH=
